Page MenuHomePhabricator

VideoJS loads subtitles on read rather than play (and once per video instance on-page, rather than aggregated)
Closed, ResolvedPublic0 Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2019, 9:22 PM
brion added a subscriber: brion.May 7 2019, 9:31 PM

That ain't pretty. I'll see if can improve this.

brion claimed this task.May 7 2019, 9:31 PM

Once per instance is probably ok, as it should be rare to have the same video over and over. Uh, except on the file page with versions maybe. >_<

(However it definitely shouldn't fetch anything until requested. Might have to fix upstream, will check.)

Once per instance is probably ok, as it should be rare to have the same video over and over. Uh, except on the file page with versions maybe. >_<

Yeah, the filepage is where I noticed it. :-)

Jdforrester-WMF triaged this task as High priority.Jun 8 2019, 12:02 AM
brion added a comment.Jun 10 2019, 6:18 PM

Upstream issue is: https://github.com/videojs/video.js/issues/5252

Looks like it's been stalled for a while (and may need some changes to the moz-vtt.js component which is upstream from video.js), so this might be an opportunity to get it unstuck for them. :D

Change 516643 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Patch for video.js subtitle loading behavior

https://gerrit.wikimedia.org/r/516643

brion added a comment.Jun 12 2019, 3:44 PM

Basic patch added which is an updating of the old upstream PR. Seems to work but might have edge cases; I'm happy to merge it for now to get us rolling if it looks ok.

New upstream PR: https://github.com/videojs/video.js/pull/6043

Change 516643 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] video.js: Local patch for subtitle loading behavior

https://gerrit.wikimedia.org/r/516643

Jdforrester-WMF closed this task as Resolved.Jun 12 2019, 6:00 PM

Let's call this Resolved and remember to apply the patch when updating upstream before they merge the patch.

Change 518167 had a related patch set uploaded (by Jforrester; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.8] video.js: Local patch for subtitle loading behavior

https://gerrit.wikimedia.org/r/518167

Change 518167 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.8] video.js: Local patch for subtitle loading behavior

https://gerrit.wikimedia.org/r/518167

Mentioned in SAL (#wikimedia-operations) [2019-06-20T23:01:57Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.8/extensions/TimedMediaHandler/resources/videojs/: Latest VideoJS for T222763 (duration: 00m 59s)